Announcement

Collapse
No announcement yet.

HS4 upgrade Easytrigger regrets?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    HS4 upgrade Easytrigger regrets?

    Anyone upgrade to HS4 and regret the decision based on easytrigger problems? I've been putting off the upgrade, largely for concerns about having to rebuild a lot of events with easytrigger triggers. What was your experience moving from HS3 to 4? Thanks.

    #2
    I use easytrigger pretty extensively. I don't recall any problems with the upgrade. Is there something specific you're concerned about? Maybe I'm forgetting something I had to fix? (It's been a while.)
    -Wade

    Comment


      #3
      I just upgraded to HS4 this week and all of my easytrigger events are working fine. I used the Alternate Method instructions (Creating a HS4 directory instead of overwriting the HS3 directory). The only thing I did not copy over before I started HS4 was my custom icons that were setup in HS3. When I started HS4, the custom icons were not in the file so it used the default. I just had to copy that directory over to HS4 and re-do all of my icons. I don't know if it would have populated the icons if the directory was there.

      Hope this helps,

      Ronnie

      Comment


        #4
        Originally posted by Wade View Post
        I use easytrigger pretty extensively. I don't recall any problems with the upgrade. Is there something specific you're concerned about? Maybe I'm forgetting something I had to fix? (It's been a while.)
        When I moved machines on HS3 my easytrigger triggers lost some of the values. I don't know what happened. I spent many hours reconstructing those events.

        I'm in fairly good shape to move as I've paired down complicated logic that wasn't particularly useful in daily use. But I still have a large system so I'm generally concerned about the whole thing breaking on the upgrade.

        I also haven't kept up on why there is no easytrigger HS4 version. Or if most people are generally satisfied with HS4. My primary reason for upgrading now is that z-wave versioning seems to be frozen on HS3. Plus the weather plugin situation looks better on HS4.

        Without stability in z-wave and easytrigger I may as well be on Home Assistant. I would love to use the HA homekit integration on devices like Ecobee.

        Comment


          #5
          Originally posted by dmiller View Post
          Plus the weather plugin situation looks better on HS4.
          This was what finally got me to upgrade.
          -Wade

          Comment


            #6
            I too have been using EasyTrigger on HS4 for over 10 months with no issues. As far as I can tell, the internals of HS3/4 plugins are the same. It's the configuration pages that need significant changes for HS4. I use several HS3 "Legacy" plugins on HS4, including HST's Z-Wave plugin. I did have a really old plugin that didn't support the parent/child (HS3) or root/feature (HS4) method of creating devices and that did generate some log warning messages. I finally dumped that plugin.

            Hope this helps,
            Ken

            Comment

            Working...
            X